# NativeLibraryBinary

@Incubating
interface NativeLibraryBinary : NativeBinary

A physical representation of a NativeLibrary component.

#### Inheritors

SharedLibraryBinary
StaticLibraryBinary

## Functions

getBuildType
Link copied to clipboard
abstract fun getBuildType(): BuildType
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getFlavor
Link copied to clipboard
abstract fun getFlavor(): Flavor
getHeaderDirs
Link copied to clipboard
abstract fun getHeaderDirs(): FileCollection
getLinkFiles
Link copied to clipboard
abstract fun getLinkFiles(): FileCollection
getRuntimeFiles
Link copied to clipboard
abstract fun getRuntimeFiles(): FileCollection
getTargetPlatform
Link copied to clipboard
abstract fun getTargetPlatform(): NativePlatform